curl --request GET \
--url https://api.sandbox.asapp.com/conversation/v1/conversations/{conversationId} \
--header 'asapp-api-id: <api-key>' \
--header 'asapp-api-secret: <api-key>'import requests
url = "https://api.sandbox.asapp.com/conversation/v1/conversations/{conversationId}"
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'asapp-api-id': '<api-key>', 'asapp-api-secret': '<api-key>'}
};
fetch('https://api.sandbox.asapp.com/conversation/v1/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "01BX5ZZKBKACTAV9WEVGEMMVRZ",
"externalId": "id-111",
"agent": {
"externalId": "agent-111",
"name": "agent-x"
},
"customer": {
"externalId": "customer-x",
"name": "customer-name-x"
},
"metadata": {
"organizationalGroup": "some-group",
"subdivision": "some-division",
"queue": "some-queue"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}Retrieve a conversation
Retrieves the details of a specific conversation using its conversationId.
This endpoint returns detailed information about the conversation, including participants and metadata.
Path Parameters
The identifier for a conversation.
^[A-Z0-9]+$Response
Successfully fetched conversation
Represents a conversation between an agent and a customer.
The unique identifier for the conversation in your external chat or voice system.
Information about the customer participating in the conversation.
Show child attributes
Show child attributes
The unique identifier for the conversation within the ASAPP system.
Information about the agent participating in the conversation.
Show child attributes
Show child attributes
Additional key-value pairs to store custom metadata about the conversation. Use this for filtering or categorization purposes.
Show child attributes
Show child attributes
Was this page helpful?